import { tType } from "@/components/common/Input/types";

export const phoneConfig = {
    maxLen: 11,
    placeholder: "请输入手机号",
    type: 'number',
    validate(value: string) {
        return value.length === 11;
    }
}

export const codeConfig = {
    maxLen: 6,
    placeholder: "请输入验证码",
    type: 'number',
    validate(value: string) {
        return value.length === 6;
    }
}

export const pwdConfig = {
    maxLen: 30,
    placeholder: "请输入密码（6-30个字符）",
    placeholder2: "请设置新密码（6-30个字符）",
    placeholder3: "请输入原密码",
    type: 'password' as tType,
    validate(value: string) {
        return value.length >= 6 && value.length <= 30;
    },
}
